export declare enum YfmHtmlBlockAttrs {
    EntityId = "data-entity-id",
    class = "class",
    frameborder = "frameborder",
    /** @deprecated This is no longer used. Removed in next major version */
    newCreated = "newCreated",
    srcdoc = "srcdoc",
    style = "style"
}
export declare const yfmHtmlBlockNodeName = "yfm_html_block";
export declare const yfmHtmlBlockNodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const YfmHtmlBlockAction = "createYfmHtmlBlock";
export declare const YfmHtmlBlockConsts: {
    readonly NodeName: "yfm_html_block";
    readonly NodeAttrs: typeof YfmHtmlBlockAttrs;
    readonly nodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
};
export declare const defaultYfmHtmlBlockEntityId: string;
