import { Plugin } from "../../../pm/state.js";
import { pluginSpec } from "./plugin.js";
export { SharedStateKey } from "./utils.js";
/**
 * This extension enables a plugin that stores internal state and handles its changes via meta-information in transactions.
 * You can get, change and subscribe to state changes using a SharedStateKey instance.
 */
export const SharedState = (builder) => {
    builder.addPlugin(() => new Plugin(pluginSpec));
};
//# sourceMappingURL=SharedState.js.map
