export declare enum MermaidAttrs {
    EntityId = "data-entity-id",
    content = "content",
    class = "class",
    /** @deprecated This is no longer used. Removed in next major version */
    newCreated = "newCreated"
}
export declare const mermaidNodeName = "mermaid";
export declare const mermaidNodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const MermaidAction = "createMermaid";
export declare const MermaidConsts: {
    readonly NodeName: "mermaid";
    readonly NodeAttrs: typeof MermaidAttrs;
    readonly nodeType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
};
export declare const defaultMermaidEntityId: string;
