import { type EditorState, Plugin } from "../../../pm/state.js";
export declare function isInsideCode(state: EditorState): false | 'block' | 'inline';
export declare function isInsideBlockCode(state: EditorState): boolean;
export declare function isInsideInlineCode(state: EditorState): boolean;
/**
 * This plugin handles paste into any type of code: code block or code mark.
 * If selection is inside code, it always prevents execution of all next paste handlers.
 * It takes a value from following clipboard data types: uri-list, files or text data.
 */
export declare const handlePasteIntoCodePlugin: () => Plugin<any>;
